<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.fims.levy.dao.LevyMapper">

<!-- 부과 대장 정보 매퍼
 ========== 변경 이력 ==========
 2023-08-30	JoJH 최초 작성
 ============================ -->

	<resultMap id="levyRow" type="cokr.xit.fims.levy.Levy">
		<result property="levyId"               column="LEVY_ID" />                     <!-- 부과 ID -->
		<result property="sggCd"                column="SGG_CD" />                      <!-- 시군구 코드 -->
		<result property="crdnId"               column="CRDN_ID" />                     <!-- 단속 ID -->
		<result property="rtpyrId"              column="RTPYR_ID" />                    <!-- 납부자 ID -->
		<result property="instCd"               column="INST_CD" />                     <!-- 기관 코드 -->
		<result property="deptCd"               column="DEPT_CD" />                     <!-- 부서 코드 -->
		<result property="fyr"                  column="FYR" />                         <!-- 회계 연도 -->
		<result property="acntgSe"              column="ACNTG_SE" />                    <!-- 회계 구분 -->
		<result property="txitmCd"              column="TXITM_CD" />                    <!-- 세목 코드 -->
		<result property="txitmNm"              column="TXITM_NM" />                    <!-- 세목 명 -->
		<result property="levyNo"               column="LEVY_NO" />                     <!-- 부과 번호 -->
		<result property="inspySn"              column="INSPY_SN" />                    <!-- 분납 순번 -->
		<result property="levySeCd"             column="LEVY_SE_CD" />                  <!-- 부과 구분 코드 -->
		<result property="levySeNm"             column="LEVY_SE_NM" />                  <!-- 부과 구분 명 -->
		<result property="untyLvySeNm"          column="UNTY_LVY_SE_NM" />              <!-- 통합 구분 명 -->
		<result property="inspySeNm"            column="INSPY_SE_NM" />                 <!-- 분납 구분 명 -->
		<result property="rductSeCd"            column="RDUCT_SE_CD" />                 <!-- 감경 구분 코드 -->
		<result property="rductSeNm"            column="RDUCT_SE_NM" />                 <!-- 감경 구분 명 -->
		<result property="levyRtrcnSeNm"        column="LEVY_RTRCN_SE_NM" />            <!-- 부과 취소 구분 명 -->
		<result property="levySttsNm"           column="LEVY_STTS_NM" />                <!-- 부과 상태 명 -->
		<result property="rcvmtSeNm"            column="RCVMT_SE_NM" />                 <!-- 수납 구분 명 -->
		<result property="szrSeNm"              column="SZR_SE_NM" />                   <!-- 압류 구분 명 -->
		<result property="dfctSeNm"             column="DFCT_SE_NM" />                  <!-- 결손 구분 명 -->
		<result property="levyYmd"              column="LEVY_YMD" />                    <!-- 부과 일자 -->
		<result property="frstDudtYmd"          column="FRST_DUDT_YMD" />               <!-- 최초 납기 일자 -->
		<result property="dudtYmd"              column="DUDT_YMD" />                    <!-- 납기 일자 -->
		<result property="ffnlgAmt"             column="FFNLG_AMT" />                   <!-- 과태료 금액 -->
		<result property="levyPcptax"           column="LEVY_PCPTAX" />                 <!-- 부과 본세 -->
		<result property="levyAdamt"            column="LEVY_ADAMT" />                  <!-- 부과 가산금 -->
		<result property="inspyInt"             column="INSPY_INT" />                   <!-- 분납 이자 -->
		<result property="inspySe"              column="INSPY_SE" />                    <!-- 분납 구분 -->
		<result property="rcvmtPcptax"          column="RCVMT_PCPTAX" />                <!-- 수납 본세 -->
		<result property="rcvmtAdamt"           column="RCVMT_ADAMT" />                 <!-- 수납 가산금 -->
		<result property="rdcamtPcptax"         column="RDCAMT_PCPTAX" />               <!-- 감액 본세 -->
		<result property="rdcamtAdamt"          column="RDCAMT_ADAMT" />                <!-- 감액 가산금 -->
		<result property="sumAmt"               column="SUM_AMT" />                     <!-- 합계 금액 -->
		<result property="txtnThing"            column="TXTN_THING" />                  <!-- 과세 물건 -->
		<result property="mngArtcl1"            column="MNG_ARTCL1" />                  <!-- 관리 항목 1 -->
		<result property="mngArtcl2"            column="MNG_ARTCL2" />                  <!-- 관리 항목 2 -->
		<result property="mngArtcl3"            column="MNG_ARTCL3" />                  <!-- 관리 항목 3 -->
		<result property="mngArtcl4"            column="MNG_ARTCL4" />                  <!-- 관리 항목 4 -->
		<result property="mngArtcl5"            column="MNG_ARTCL5" />                  <!-- 관리 항목 5 -->
		<result property="mngArtcl6"            column="MNG_ARTCL6" />                  <!-- 관리 항목 6 -->
		<result property="rcvmtYmd"             column="RCVMT_YMD" />                   <!-- 수납 일자 -->
		<result property="npmntSeCd"            column="NPMNT_SE_CD" />                 <!-- 체납 구분 코드 -->
		<result property="npmntRsn"             column="NPMNT_RSN" />                   <!-- 체납 사유 -->
		<result property="szrThing"             column="SZR_THING" />                   <!-- 압류 물건 -->
		<result property="szrYmd"               column="SZR_YMD" />                     <!-- 압류 일자 -->
		<result property="szrRmvYmd"            column="SZR_RMV_YMD" />                 <!-- 압류 해제 일자 -->
		<result property="szrRmvRsn"            column="SZR_RMV_RSN" />                 <!-- 압류 해제 사유 -->
		<result property="etcCn"                column="ETC_CN" />                      <!-- 기타 내용 -->
		<result property="epayno"               column="EPAYNO" />                      <!-- 전자납부번호 -->
		<result property="bankNm"               column="BANK_NM" />                     <!-- 은행 명 -->
		<result property="vrActno"              column="VR_ACTNO" />                    <!-- 가상 계좌번호 -->
		<result property="bankNm2"              column="BANK_NM2" />                    <!-- 은행 명 2 -->
		<result property="vrActno2"             column="VR_ACTNO2" />                   <!-- 가상 계좌번호 2 -->
		<result property="bankNm3"              column="BANK_NM3" />                    <!-- 은행 명 3 -->
		<result property="vrActno3"             column="VR_ACTNO3" />                   <!-- 가상 계좌번호 3 -->
		<result property="bankNm4"              column="BANK_NM4" />                    <!-- 은행 명 4 -->
		<result property="vrActno4"             column="VR_ACTNO4" />                   <!-- 가상 계좌번호 4 -->
		<result property="bankNm5"              column="BANK_NM5" />                    <!-- 은행 명 5 -->
		<result property="vrActno5"             column="VR_ACTNO5" />                   <!-- 가상 계좌번호 5 -->
		<result property="bankNm6"              column="BANK_NM6" />                    <!-- 은행 명 6 -->
		<result property="vrActno6"             column="VR_ACTNO6" />                   <!-- 가상 계좌번호 6 -->
		<result property="bankNm7"              column="BANK_NM7" />                    <!-- 은행 명 7 -->
		<result property="vrActno7"             column="VR_ACTNO7" />                   <!-- 가상 계좌번호 7 -->
		<result property="bankNm8"              column="BANK_NM8" />                    <!-- 은행 명 8 -->
		<result property="vrActno8"             column="VR_ACTNO8" />                   <!-- 가상 계좌번호 8 -->
		<result property="bankNm9"              column="BANK_NM9" />                    <!-- 은행 명 9 -->
		<result property="vrActno9"             column="VR_ACTNO9" />                   <!-- 가상 계좌번호 9 -->
		<result property="bankNm10"             column="BANK_NM10" />                   <!-- 은행 명 10 -->
		<result property="vrActno10"            column="VR_ACTNO10" />                  <!-- 가상 계좌번호 10 -->
		<result property="bankNm11"             column="BANK_NM11" />                   <!-- 은행 명 11 -->
		<result property="vrActno11"            column="VR_ACTNO11" />                  <!-- 가상 계좌번호 11 -->
		<result property="nxrpLevyKey"          column="NXRP_LEVY_KEY" />               <!-- 세외수입 부과 키 -->
		<result property="delYn"                column="DEL_YN" />                      <!-- 삭제 여부 -->
		<result property="createdAt"            column="REG_DT" />                      <!-- 등록 일시 -->
		<result property="createdBy"            column="RGTR" />                        <!-- 등록자 -->
		<result property="lastModified"         column="MDFCN_DT" />                    <!-- 수정 일시 -->
		<result property="modifiedBy"           column="MDFR" />                        <!-- 수정자 -->
		<result property="removedAt"            column="DEL_DT" />                      <!-- 삭제 일시 -->
		<result property="removedBy"            column="DLTR" />                        <!-- 삭제자 -->
		<result property="delRsn"               column="DEL_RSN" />                     <!-- 삭제 사유 -->
	</resultMap>

    <sql id="select">
        SELECT LEVY_ID                                                                                          /* 부과 ID */
             , SGG_CD                                                                                           /* 시군구 코드 */
             , CRDN_ID                                                                                          /* 단속 ID */
             , RTPYR_ID                                                                                         /* 납부자 ID */
             , INST_CD                                                                                          /* 기관 코드 */
             , DEPT_CD                                                                                          /* 부서 코드 */
             , FYR                                                                                              /* 회계 연도 */
             , ACNTG_SE                                                                                         /* 회계 구분 */
             , TXITM_CD                                                                                         /* 세목 코드 */
             , TXITM_NM                                                                                         /* 세목 명 */
             , LEVY_NO                                                                                          /* 부과 번호 */
             , INSPY_SN                                                                                         /* 분납 순번 */
             , LEVY_SE_CD                                                                                       /* 부과 구분 코드 */
             , LEVY_SE_NM                                                                                       /* 부과 구분 명 */
             , UNTY_LVY_SE_NM                                                                                   /* 통합 구분 명 */
             , INSPY_SE_NM                                                                                      /* 분납 구분 명 */
             , RDUCT_SE_CD                                                                                      /* 감경 구분 코드 */
             , RDUCT_SE_NM                                                                                      /* 감경 구분 명 */
             , LEVY_RTRCN_SE_NM                                                                                 /* 부과 취소 구분 명 */
             , LEVY_STTS_NM                                                                                     /* 부과 상태 명 */
             , RCVMT_SE_NM                                                                                      /* 수납 구분 명 */
             , SZR_SE_NM                                                                                        /* 압류 구분 명 */
             , DFCT_SE_NM                                                                                       /* 결손 구분 명 */
             , LEVY_YMD                                                                                         /* 부과 일자 */
             , FRST_DUDT_YMD                                                                                    /* 최초 납기 일자 */
             , DUDT_YMD                                                                                         /* 납기 일자 */
             , FFNLG_AMT                                                                                        /* 과태료 금액 */
             , LEVY_PCPTAX                                                                                      /* 부과 본세 */
             , LEVY_ADAMT                                                                                       /* 부과 가산금 */
             , INSPY_INT                                                                                        /* 분납 이자 */
             , INSPY_SE                                                                                         /* 분납 구분 */
             , RCVMT_PCPTAX                                                                                     /* 수납 본세 */
             , RCVMT_ADAMT                                                                                      /* 수납 가산금 */
             , RDCAMT_PCPTAX                                                                                    /* 감액 본세 */
             , RDCAMT_ADAMT                                                                                     /* 감액 가산금 */
             , SUM_AMT                                                                                          /* 합계 금액 */
             , TXTN_THING                                                                                       /* 과세 물건 */
             , MNG_ARTCL1                                                                                       /* 관리 항목 1 */
             , MNG_ARTCL2                                                                                       /* 관리 항목 2 */
             , MNG_ARTCL3                                                                                       /* 관리 항목 3 */
             , MNG_ARTCL4                                                                                       /* 관리 항목 4 */
             , MNG_ARTCL5                                                                                       /* 관리 항목 5 */
             , MNG_ARTCL6                                                                                       /* 관리 항목 6 */
             , RCVMT_YMD                                                                                        /* 수납 일자 */
             , NPMNT_SE_CD                                                                                      /* 체납 구분 코드 */
             , (SELECT FN_GET_CODE_NM('FIM043', L.NPMNT_SE_CD) FROM DUAL)               AS NPMNT_SE_NM          /* 체납 구분 명 */
             , NPMNT_RSN                                                                                        /* 체납 사유 */
             , SZR_THING                                                                                        /* 압류 물건 */
             , SZR_YMD                                                                                          /* 압류 일자 */
             , SZR_RMV_YMD                                                                                      /* 압류 해제 일자 */
             , SZR_RMV_RSN                                                                                      /* 압류 해제 사유 */
             , ETC_CN                                                                                           /* 기타 내용 */
             , EPAYNO                                                                                           /* 전자납부번호 */
             , BANK_NM                                                                                          /* 은행 명 */
             , VR_ACTNO                                                                                         /* 가상 계좌번호 */
             , BANK_NM2                                                                                         /* 은행 명 2 */
             , VR_ACTNO2                                                                                        /* 가상 계좌번호 2 */
             , BANK_NM3                                                                                         /* 은행 명 3 */
             , VR_ACTNO3                                                                                        /* 가상 계좌번호 3 */
             , BANK_NM4                                                                                         /* 은행 명 4 */
             , VR_ACTNO4                                                                                        /* 가상 계좌번호 4 */
             , BANK_NM5                                                                                         /* 은행 명 5 */
             , VR_ACTNO5                                                                                        /* 가상 계좌번호 5 */
             , BANK_NM6                                                                                         /* 은행 명 6 */
             , VR_ACTNO6                                                                                        /* 가상 계좌번호 6 */
             , BANK_NM7                                                                                         /* 은행 명 7 */
             , VR_ACTNO7                                                                                        /* 가상 계좌번호 7 */
             , BANK_NM8                                                                                         /* 은행 명 8 */
             , VR_ACTNO8                                                                                        /* 가상 계좌번호 8 */
             , BANK_NM9                                                                                         /* 은행 명 9 */
             , VR_ACTNO9                                                                                        /* 가상 계좌번호 9 */
             , BANK_NM10                                                                                        /* 은행 명 10 */
             , VR_ACTNO10                                                                                       /* 가상 계좌번호 10 */
             , BANK_NM11                                                                                        /* 은행 명 11 */
             , VR_ACTNO11                                                                                       /* 가상 계좌번호 11 */
             , NXRP_LEVY_KEY                                                                                    /* 세외수입 부과 키 */
             , DEL_YN                                                                                           /* 삭제 여부 */
             , REG_DT                                                                                           /* 등록 일시 */
             , RGTR                                                                                             /* 등록자 */
             , (SELECT USER_NM FROM TB_USER X WHERE X.USER_ID = L.RGTR)                 AS RGTR_NM              /* 등록자 명 */
             , MDFCN_DT                                                                                         /* 수정 일시 */
             , MDFR                                                                                             /* 수정자 */
             , (SELECT USER_NM FROM TB_USER X WHERE X.USER_ID = L.MDFR)                 AS MDFR_NM              /* 수정자 명 */
             , DEL_DT                                                                                           /* 삭제 일시 */
             , DLTR                                                                                             /* 삭제자 */
             , (SELECT USER_NM FROM TB_USER X WHERE X.USER_ID = L.DLTR)                 AS DLTR_NM              /* 삭제자 명 */
             , DEL_RSN                                                                                          /* 삭제 사유 */
          FROM TB_LEVY              L
    </sql>

    <select id="selectLevyList" parameterType="map" resultType="dataobject">/* 부과 대장 목록 조회(levyMapper.selectLevyList) */
        <include refid="utility.paging-prefix" />
        <include refid="select" />
        <where></where>
        <include refid="utility.orderBy" />
        <include refid="utility.paging-suffix" />
    </select>

    <select id="selectLevys" parameterType="map" resultType="dataobject">/* 부과 대장 객체 가져오기(levyMapper.selectLevys) */
        <include refid="select" />
        <where>
            <if test="levyId != null">
           AND L.LEVY_ID                = #{levyId}                                                             /* 감경 ID */
            </if>
            <if test="crdnId != null">
           AND L.CRDN_ID                = #{crdnId}                                                             /* 단속 ID */
            </if>
            <if test="delYn != null">
           AND L.DEL_YN                 = #{delYn}                                                              /* 삭제 여부 */
            </if>
        </where>
        <include refid="utility.orderBy" />
    </select>

    <insert id="insertLevy" parameterType="map">/* 부과 대장 등록(levyMapper.insertLevy) */
        INSERT
          INTO TB_LEVY (
               LEVY_ID                                                                                          /* 부과 ID */
             , SGG_CD                                                                                           /* 시군구 코드 */
             , CRDN_ID                                                                                          /* 단속 ID */
             , RTPYR_ID                                                                                         /* 납부자 ID */
             , INST_CD                                                                                          /* 기관 코드 */
             , DEPT_CD                                                                                          /* 부서 코드 */
             , FYR                                                                                              /* 회계 연도 */
             , ACNTG_SE                                                                                         /* 회계 구분 */
             , TXITM_CD                                                                                         /* 세목 코드 */
             , TXITM_NM                                                                                         /* 세목 명 */
             , LEVY_NO                                                                                          /* 부과 번호 */
             , INSPY_SN                                                                                         /* 분납 순번 */
             , LEVY_SE_CD                                                                                       /* 부과 구분 코드 */
             , LEVY_SE_NM                                                                                       /* 부과 구분 명 */
             , UNTY_LVY_SE_NM                                                                                   /* 통합 구분 명 */
             , INSPY_SE_NM                                                                                      /* 분납 구분 명 */
             , RDUCT_SE_CD                                                                                      /* 감경 구분 코드 */
             , RDUCT_SE_NM                                                                                      /* 감경 구분 명 */
             , LEVY_RTRCN_SE_NM                                                                                 /* 부과 취소 구분 명 */
             , LEVY_STTS_NM                                                                                     /* 부과 상태 명 */
             , RCVMT_SE_NM                                                                                      /* 수납 구분 명 */
             , SZR_SE_NM                                                                                        /* 압류 구분 명 */
             , DFCT_SE_NM                                                                                       /* 결손 구분 명 */
             , LEVY_YMD                                                                                         /* 부과 일자 */
             , FRST_DUDT_YMD                                                                                    /* 최초 납기 일자 */
             , DUDT_YMD                                                                                         /* 납기 일자 */
             , FFNLG_AMT                                                                                        /* 과태료 금액 */
             , LEVY_PCPTAX                                                                                      /* 부과 본세 */
             , LEVY_ADAMT                                                                                       /* 부과 가산금 */
             , INSPY_INT                                                                                        /* 분납 이자 */
             , INSPY_SE                                                                                         /* 분납 구분 */
             , RCVMT_PCPTAX                                                                                     /* 수납 본세 */
             , RCVMT_ADAMT                                                                                      /* 수납 가산금 */
             , RDCAMT_PCPTAX                                                                                    /* 감액 본세 */
             , RDCAMT_ADAMT                                                                                     /* 감액 가산금 */
             , SUM_AMT                                                                                          /* 합계 금액 */
             , TXTN_THING                                                                                       /* 과세 물건 */
             , MNG_ARTCL1                                                                                       /* 관리 항목 1 */
             , MNG_ARTCL2                                                                                       /* 관리 항목 2 */
             , MNG_ARTCL3                                                                                       /* 관리 항목 3 */
             , MNG_ARTCL4                                                                                       /* 관리 항목 4 */
             , MNG_ARTCL5                                                                                       /* 관리 항목 5 */
             , MNG_ARTCL6                                                                                       /* 관리 항목 6 */
             , RCVMT_YMD                                                                                        /* 수납 일자 */
             , NPMNT_SE_CD                                                                                      /* 체납 구분 코드 */
             , NPMNT_RSN                                                                                        /* 체납 사유 */
             , SZR_THING                                                                                        /* 압류 물건 */
             , SZR_YMD                                                                                          /* 압류 일자 */
             , SZR_RMV_YMD                                                                                      /* 압류 해제 일자 */
             , SZR_RMV_RSN                                                                                      /* 압류 해제 사유 */
             , ETC_CN                                                                                           /* 기타 내용 */
             , EPAYNO                                                                                           /* 전자납부번호 */
             , BANK_NM                                                                                          /* 은행 명 */
             , VR_ACTNO                                                                                         /* 가상 계좌번호 */
             , BANK_NM2                                                                                         /* 은행 명2 */
             , VR_ACTNO2                                                                                        /* 가상 계좌번호2 */
             , BANK_NM3                                                                                         /* 은행 명3 */
             , VR_ACTNO3                                                                                        /* 가상 계좌번호3 */
             , BANK_NM4                                                                                         /* 은행 명4 */
             , VR_ACTNO4                                                                                        /* 가상 계좌번호4 */
             , BANK_NM5                                                                                         /* 은행 명5 */
             , VR_ACTNO5                                                                                        /* 가상 계좌번호5 */
             , BANK_NM6                                                                                         /* 은행 명6 */
             , VR_ACTNO6                                                                                        /* 가상 계좌번호6 */
             , BANK_NM7                                                                                         /* 은행 명7 */
             , VR_ACTNO7                                                                                        /* 가상 계좌번호7 */
             , BANK_NM8                                                                                         /* 은행 명8 */
             , VR_ACTNO8                                                                                        /* 가상 계좌번호8 */
             , BANK_NM9                                                                                         /* 은행 명9 */
             , VR_ACTNO9                                                                                        /* 가상 계좌번호9 */
             , BANK_NM10                                                                                        /* 은행 명10 */
             , VR_ACTNO10                                                                                       /* 가상 계좌번호10 */
             , BANK_NM11                                                                                        /* 은행 명11 */
             , VR_ACTNO11                                                                                       /* 가상 계좌번호11 */
             , NXRP_LEVY_KEY                                                                                    /* 세외수입 부과 키 */
             , DEL_YN                                                                                           /* 삭제 여부 */
             , REG_DT                                                                                           /* 등록 일시 */
             , RGTR                                                                                             /* 등록자 */
             , MDFCN_DT                                                                                         /* 수정 일시 */
             , MDFR                                                                                             /* 수정자 */
        )
        VALUES (
               #{levy.levyId}                                                                                   /* 부과 ID */
             , #{levy.sggCd}                                                                                    /* 시군구 코드 */
             , #{levy.crdnId}                                                                                   /* 단속 ID */
             , #{levy.rtpyrId}                                                                                  /* 납부자 ID */
             , #{levy.instCd}                                                                                   /* 기관 코드 */
             , #{levy.deptCd}                                                                                   /* 부서 코드 */
             , #{levy.fyr}                                                                                      /* 회계 연도 */
             , #{levy.acntgSe}                                                                                  /* 회계 구분 */
             , #{levy.txitmCd}                                                                                  /* 세목 코드 */
             , #{levy.txitmNm}                                                                                  /* 세목 명 */
             , #{levy.levyNo}                                                                                   /* 부과 번호 */
             , #{levy.inspySn}                                                                                  /* 분납 순번 */
             , #{levy.levySeCd}                                                                                 /* 부과 구분 코드 */
             , #{levy.levySeNm}                                                                                 /* 부과 구분 명 */
             , #{levy.untyLvySeNm}                                                                              /* 통합 구분 명 */
             , #{levy.inspySeNm}                                                                                /* 분납 구분 명 */
             , #{levy.rductSeCd}                                                                                /* 감경 구분 코드 */
             , #{levy.rductSeNm}                                                                                /* 감경 구분 명 */
             , #{levy.levyRtrcnSeNm}                                                                            /* 부과 취소 구분 명 */
             , #{levy.levySttsNm}                                                                               /* 부과 상태 명 */
             , #{levy.rcvmtSeNm}                                                                                /* 수납 구분 명 */
             , #{levy.szrSeNm}                                                                                  /* 압류 구분 명 */
             , #{levy.dfctSeNm}                                                                                 /* 결손 구분 명 */
             , #{levy.levyYmd}                                                                                  /* 부과 일자 */
             , #{levy.frstDudtYmd}                                                                              /* 최초 납기 일자 */
             , #{levy.dudtYmd}                                                                                  /* 납기 일자 */
             , #{levy.ffnlgAmt}                                                                                 /* 과태료 금액 */
             , #{levy.levyPcptax}                                                                               /* 부과 본세 */
             , #{levy.levyAdamt}                                                                                /* 부과 가산금 */
             , #{levy.inspyInt}                                                                                 /* 분납 이자 */
             , #{levy.inspySe}                                                                                  /* 분납 구분 */
             , #{levy.rcvmtPcptax}                                                                              /* 수납 본세 */
             , #{levy.rcvmtAdamt}                                                                               /* 수납 가산금 */
             , #{levy.rdcamtPcptax}                                                                             /* 감액 본세 */
             , #{levy.rdcamtAdamt}                                                                              /* 감액 가산금 */
             , #{levy.sumAmt}                                                                                   /* 합계 금액 */
             , #{levy.txtnThing}                                                                                /* 과세 물건 */
             , #{levy.mngArtcl1}                                                                                /* 관리 항목1 */
             , #{levy.mngArtcl2}                                                                                /* 관리 항목2 */
             , #{levy.mngArtcl3}                                                                                /* 관리 항목3 */
             , #{levy.mngArtcl4}                                                                                /* 관리 항목4 */
             , #{levy.mngArtcl5}                                                                                /* 관리 항목5 */
             , #{levy.mngArtcl6}                                                                                /* 관리 항목6 */
             , #{levy.rcvmtYmd}                                                                                 /* 수납 일자 */
             , #{levy.npmntSeCd}                                                                                /* 체납 구분 코드 */
             , #{levy.npmntRsn}                                                                                 /* 체납 사유 */
             , #{levy.szrThing}                                                                                 /* 압류 물건 */
             , #{levy.szrYmd}                                                                                   /* 압류 일자 */
             , #{levy.szrRmvYmd}                                                                                /* 압류 해제 일자 */
             , #{levy.szrRmvRsn}                                                                                /* 압류 해제 사유 */
             , #{levy.etcCn}                                                                                    /* 기타 내용 */
             , #{levy.epayno}                                                                                   /* 전자납부번호 */
             , #{levy.bankNm}                                                                                   /* 은행 명 */
             , #{levy.vrActno}                                                                                  /* 가상 계좌번호 */
             , #{levy.bankNm2}                                                                                  /* 은행 명2 */
             , #{levy.vrActno2}                                                                                 /* 가상 계좌번호2 */
             , #{levy.bankNm3}                                                                                  /* 은행 명3 */
             , #{levy.vrActno3}                                                                                 /* 가상 계좌번호3 */
             , #{levy.bankNm4}                                                                                  /* 은행 명4 */
             , #{levy.vrActno4}                                                                                 /* 가상 계좌번호4 */
             , #{levy.bankNm5}                                                                                  /* 은행 명5 */
             , #{levy.vrActno5}                                                                                 /* 가상 계좌번호5 */
             , #{levy.bankNm6}                                                                                  /* 은행 명6 */
             , #{levy.vrActno6}                                                                                 /* 가상 계좌번호6 */
             , #{levy.bankNm7}                                                                                  /* 은행 명7 */
             , #{levy.vrActno7}                                                                                 /* 가상 계좌번호7 */
             , #{levy.bankNm8}                                                                                  /* 은행 명8 */
             , #{levy.vrActno8}                                                                                 /* 가상 계좌번호8 */
             , #{levy.bankNm9}                                                                                  /* 은행 명9 */
             , #{levy.vrActno9}                                                                                 /* 가상 계좌번호9 */
             , #{levy.bankNm10}                                                                                 /* 은행 명10 */
             , #{levy.vrActno10}                                                                                /* 가상 계좌번호10 */
             , #{levy.bankNm11}                                                                                 /* 은행 명11 */
             , #{levy.vrActno11}                                                                                /* 가상 계좌번호11 */
             , #{levy.nxrpLevyKey}                                                                              /* 세외수입 부과 키 */
             , 'N'                                                                                              /* 삭제 여부 */
             , #{levy.createdAt}                                                                                /* 등록 일시 */
             , #{levy.createdBy}                                                                                /* 등록자 */
             , #{levy.lastModified}                                                                             /* 수정 일시 */
             , #{levy.modifiedBy}                                                                               /* 수정자 */
        )
    </insert>

    <update id="updateLevy" parameterType="map">/* 부과 대장 수정(levyMapper.updateLevy) */
        UPDATE TB_LEVY
           SET DEPT_CD                  = #{levy.deptCd}                                                        /* 부서 코드 */
             , ACNTG_YR                 = #{levy.acntgYr}                                                       /* 회계 연도 */
             , ACNTG_SE                 = #{levy.acntgSe}                                                       /* 회계 구분 */
             , TXITM_CD                 = #{levy.txitmCd}                                                       /* 세목 코드 */
             , TXITM_NM                 = #{levy.txitmNm}                                                       /* 세목 명 */
             , LEVY_NO                  = #{levy.levyNo}                                                        /* 부과 번호 */
             , INSPY_SN                 = #{levy.inspySn}                                                       /* 분납 순번 */
             , LEVY_SE_CD               = #{levy.levySeCd}                                                      /* 부과 구분 코드 */
             , LEVY_SE_NM               = #{levy.levySeNm}                                                      /* 부과 구분 명 */
             , UNTY_LVY_SE_NM           = #{levy.untyLvySeNm}                                                   /* 통합 구분 명 */
             , INSPY_SE_NM              = #{levy.inspySeNm}                                                     /* 분납 구분 명 */
             , RDUCT_SE_CD              = #{levy.rductSeCd}                                                     /* 감경 구분 코드 */
             , RDUCT_SE_NM              = #{levy.rductSeNm}                                                     /* 감경 구분 명 */
             , LEVY_RTRCN_SE_NM         = #{levy.levyRtrcnSeNm}                                                 /* 부과 취소 구분 명 */
             , LEVY_STTS_NM             = #{levy.levySttsNm}                                                    /* 부과 상태 명 */
             , RCVMT_SE_NM              = #{levy.rcvmtSeNm}                                                     /* 수납 구분 명 */
             , SZR_SE_NM                = #{levy.szrSeNm}                                                       /* 압류 구분 명 */
             , DFCT_SE_NM               = #{levy.dfctSeNm}                                                      /* 결손 구분 명 */
             , LEVY_YMD                 = #{levy.levyYmd}                                                       /* 부과 일자 */
             , FRST_DUDT_YMD            = #{levy.frstDudtYmd}                                                   /* 최초 납기 일자 */
             , DUDT_YMD                 = #{levy.dudtYmd}                                                       /* 납기 일자 */
             , FFNLG_AMT                = #{levy.ffnlgAmt}                                                      /* 과태료 금액 */
             , LEVY_PCPTAX              = #{levy.levyPcptax}                                                    /* 부과 본세 */
             , LEVY_ADAMT               = #{levy.levyAdamt}                                                     /* 부과 가산금 */
             , INSPY_INT                = #{levy.inspyInt}                                                      /* 분납 이자 */
             , INSPY_SE                 = #{levy.inspySe}                                                       /* 분납 구분 */
             , RCVMT_PCPTAX             = #{levy.rcvmtPcptax}                                                   /* 수납 본세 */
             , RCVMT_ADAMT              = #{levy.rcvmtAdamt}                                                    /* 수납 가산금 */
             , RDCAMT_PCPTAX            = #{levy.rdcamtPcptax}                                                  /* 감액 본세 */
             , RDCAMT_ADAMT             = #{levy.rdcamtAdamt}                                                   /* 감액 가산금 */
             , SUM_AMT                  = #{levy.sumAmt}                                                        /* 합계 금액 */
             , TXTN_THING               = #{levy.txtnThing}                                                     /* 과세 물건 */
             , MNG_ARTCL1               = #{levy.mngArtcl1}                                                     /* 관리 항목1 */
             , MNG_ARTCL2               = #{levy.mngArtcl2}                                                     /* 관리 항목2 */
             , MNG_ARTCL3               = #{levy.mngArtcl3}                                                     /* 관리 항목3 */
             , MNG_ARTCL4               = #{levy.mngArtcl4}                                                     /* 관리 항목4 */
             , MNG_ARTCL5               = #{levy.mngArtcl5}                                                     /* 관리 항목5 */
             , MNG_ARTCL6               = #{levy.mngArtcl6}                                                     /* 관리 항목6 */
             , RCVMT_YMD                = #{levy.rcvmtYmd}                                                      /* 수납 일자 */
             , NPMNT_SE_CD              = #{levy.npmntSeCd}                                                     /* 체납 구분 코드 */
             , NPMNT_RSN                = #{levy.npmntRsn}                                                      /* 체납 사유 */
             , SZR_THING                = #{levy.szrThing}                                                      /* 압류 물건 */
             , SZR_YMD                  = #{levy.szrYmd}                                                        /* 압류 일자 */
             , SZR_RMV_YMD              = #{levy.szrRmvYmd}                                                     /* 압류 해제 일자 */
             , SZR_RMV_RSN              = #{levy.szrRmvRsn}                                                     /* 압류 해제 사유 */
             , ETC_CN                   = #{levy.etcCn}                                                         /* 기타 내용 */
             , EPAYNO                   = #{levy.epayno}                                                        /* 전자납부번호 */
             , BANK_NM                  = #{levy.bankNm}                                                        /* 은행 명 */
             , VR_ACTNO                 = #{levy.vrActno}                                                       /* 가상 계좌번호 */
             , BANK_NM2                 = #{levy.bankNm2}                                                       /* 은행 명2 */
             , VR_ACTNO2                = #{levy.vrActno2}                                                      /* 가상 계좌번호2 */
             , BANK_NM3                 = #{levy.bankNm3}                                                       /* 은행 명3 */
             , VR_ACTNO3                = #{levy.vrActno3}                                                      /* 가상 계좌번호3 */
             , BANK_NM4                 = #{levy.bankNm4}                                                       /* 은행 명4 */
             , VR_ACTNO4                = #{levy.vrActno4}                                                      /* 가상 계좌번호4 */
             , BANK_NM5                 = #{levy.bankNm5}                                                       /* 은행 명5 */
             , VR_ACTNO5                = #{levy.vrActno5}                                                      /* 가상 계좌번호5 */
             , BANK_NM6                 = #{levy.bankNm6}                                                       /* 은행 명6 */
             , VR_ACTNO6                = #{levy.vrActno6}                                                      /* 가상 계좌번호6 */
             , BANK_NM7                 = #{levy.bankNm7}                                                       /* 은행 명7 */
             , VR_ACTNO7                = #{levy.vrActno7}                                                      /* 가상 계좌번호7 */
             , BANK_NM8                 = #{levy.bankNm8}                                                       /* 은행 명8 */
             , VR_ACTNO8                = #{levy.vrActno8}                                                      /* 가상 계좌번호8 */
             , BANK_NM9                 = #{levy.bankNm9}                                                       /* 은행 명9 */
             , VR_ACTNO9                = #{levy.vrActno9}                                                      /* 가상 계좌번호9 */
             , BANK_NM10                = #{levy.bankNm10}                                                      /* 은행 명10 */
             , VR_ACTNO10               = #{levy.vrActno10}                                                     /* 가상 계좌번호10 */
             , BANK_NM11                = #{levy.bankNm11}                                                      /* 은행 명11 */
             , VR_ACTNO11               = #{levy.vrActno11}                                                     /* 가상 계좌번호11 */
             , NXRP_LEVY_KEY            = #{levy.nxrpLevyKey}                                                   /* 세외수입 부과 키 */
             , MDFCN_DT                 = #{levy.lastModified}                                                  /* 수정 일시 */
             , MDFR                     = #{levy.modifiedBy}                                                    /* 수정자 */
         WHERE LEVY_ID                  = #{levy.levyId}                                                        /* 부과 ID */
           AND DEL_YN                   = 'N'                                                                   /* 삭제 여부 */
    </update>

    <update id="deleteLevy" parameterType="map">/* 부과 대장 삭제(levyMapper.deleteLevy) */
        UPDATE TB_LEVY
           SET DEL_YN                   = 'Y'
             , DEL_DT                   = #{levy.lastModified}                                                  /* 삭제 일시 */
             , DLTR                     = #{levy.modifiedBy}                                                    /* 삭제자 */
             , DEL_RSN                  = #{levy.delRsn}                                                        /* 삭제 사유 */
         WHERE LEVY_ID                  = #{levy.levyId}                                                        /* 부과 ID */
           AND DEL_YN                   = 'N'                                                                   /* 삭제 여부 */
    </update>

</mapper>
